body {
  background-image: url(../images/quadraBackground.png);
  background-size: cover;
  background-position: center;
  min-height: 100vh;
  margin: 0;
}

h1 {
  font-family: Bungee Shade;
  font-size: 3.5rem;
  letter-spacing: 4px;
  color: #fc26fb;
  text-align: center;
  margin-bottom: 0;
  text-shadow:
    2px 2px 0 #000,
    4px 4px 8px rgba(0, 0, 0, 0.5);
}

h3 {
  font-family: Rubik;
  text-align: center;
  font-size: 1.5rem;
  color: #fc26fb;
  text-shadow:
    2px 2px 0 #000,
    2px 2px 4px rgba(0, 0, 0, 0.5);
}

.score-button {
  text-align: center;
}

.btn {
  width: 8rem;
  height: 2rem;
  font-family: "Rubik";
  font-weight: 550;
  font-size: 1rem;
  display: block;
  margin: 2px auto;
  background-color: #ffd700;
  border-radius: 5px;
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.6);
  transition:
    box-shadow 0.3s ease,
    transform 0.3s ease;
}

.container {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
}

.grid-with-controls {
  display: flex;
  gap: 20px;
}

.mobile-controls {
  display: flex;
  justify-content: center;
  gap: 10px;
  flex-wrap: wrap;
  margin-top: 1rem;
}

.grid {
  width: 200px;
  height: 400px;
  display: flex;
  flex-wrap: wrap;
  background-color: #04f5f2;
  border-radius: 5px;
  box-shadow:
    0 0 0 4px #170037,
    0 8px 32px rgba(0, 0, 0, 0.6);
  box-sizing: border-box;
}

.grid div {
  height: 20px;
  width: 20px;
  box-sizing: border-box;
}

.tetromino {
  box-shadow:
    0 0 0 1px #2f2a76,
    0 8px 8px rgba(0, 0, 0, 0.6);
  box-sizing: border-box;
}

.mini-grid {
  margin-left: 40px;
  width: 80px;
  height: 80px;
  display: flex;
  flex-wrap: wrap;
  background-color: #04f5f2;
  border-radius: 5px;
  box-shadow:
    0 0 0 4px #170037,
    0 8px 32px rgba(0, 0, 0, 0.6);
  box-sizing: border-box;
}

.mini-grid div {
  height: 20px;
  width: 20px;
}

.instructions {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: Rubik;
  font-size: 1rem;
  font-weight: 600;
  margin-bottom: 1rem;
}

table {
  margin: 0 auto;
  border-collapse: collapse;
  font-family: Rubik;
  font-weight: 500;
  font-size: 1rem;
  margin-bottom: 8px;
}

td {
  padding-top: 8px;
  text-align: left;
}

td:first-child {
  padding-right: 8px;
  text-align: left;
}

.instructions-footer {
  white-space: nowrap;
  font-weight: 500;
  font-size: 1rem;
}

.mobile-controls {
  margin-top: 1rem;
  gap: 10px;
  margin-right: 7.5rem;
}

.mobile-controls-btn {
  background-color: #ffd700;
  width: 2rem;
  height: 2rem;
  border-radius: 5px;
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.6);
  transition:
    box-shadow 0.3s ease,
    transform 0.3s ease;
}
